"use strict";
const command_1 = require("@oclif/command");
const MessageProvider_1 = require("./MessageProvider");
class RunCommand extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(RunCommand);
        const name = flags.name || 'world';
        const messageProvider = new MessageProvider_1.MessageProvider(name);
        this.log(messageProvider.get());
        if (args.file && flags.force) {
            this.log(`you input --force and --file: ${args.file}`);
        }
    }
}
RunCommand.description = 'describe the command here';
RunCommand.flags = {
    // add --version flag to show CLI version
    version: command_1.flags.version({ char: 'v' }),
    help: command_1.flags.help({ char: 'h' }),
    // flag with a value (-n, --name=VALUE)
    name: command_1.flags.string({ char: 'n', description: 'name to print' }),
    // flag with no value (-f, --force)
    force: command_1.flags.boolean({ char: 'f' }),
};
RunCommand.args = [{ name: 'file' }];
module.exports = RunCommand;
//# sourceMappingURL=index.js.map